# $Revision: 1.11 $, $Date: 2008/10/04 18:28:45 $
Summary:	Rarian - a documentation meta-data library
Summary(pl.UTF-8):	Rarian - biblioteka metadanych dokumentacji
Name:		rarian
Version:	0.8.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/rarian/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	75091185e13da67a0ff4279de1757b94
URL:		http://rarian.freedesktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libxslt-devel
Requires:	coreutils
Requires:	gawk
Requires:	libxslt
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rarian is a documentation meta-data library that allows access to
documents, man pages and info pages. It was designed as a replacement
for scrollkeeper.

%description -l pl.UTF-8
Rarian to biblioteka metadanych dokumentacji pozwalająca na dostęp do
dokumentów oraz stron manuala i info. Została zaprojektowana jako
zamiennik scrollkeepera.

%package compat
Summary:	Extra files for compatibility with scrollkeeper
Summary(pl.UTF-8):	Dodatkowe pliki dla kompatybilności ze scrollkeeperem
License:	GPL v2+
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Provides:	scrollkeeper
Obsoletes:	scrollkeeper <= 1:0.3.14

%description compat
This package contains files needed to maintain backward-compatibility
with scrollkeeper.

%description compat -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do zachowania wstecznej zgodności
ze scrollkeeperem.

%package devel
Summary:	Development files for Rarian
Summary(pl.UTF-8):	Pliki programistyczne Rariana
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains files required to develop applications that use
the Rarian library ("librarian").

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do tworzenia aplikacji
wykorzystujących bibliotekę Rarian (librarian).

%package static
Summary:	Static Rarian library
Summary(pl.UTF-8):	Statyczna biblioteka Rarian
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Rarian library (librarian).

%description static -l pl.UTF-8
Statyczna biblioteka Rarian (librarian).

%prep
%setup -q
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%build
%configure \
	--enable-omf-read \
	--disable-skdb-update

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/omf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post compat
%{_bindir}/rarian-sk-update

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/rarian-example
%attr(755,root,root) %{_libdir}/librarian.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librarian.so.0
%{_datadir}/librarian
%{_datadir}/help

%files compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rarian-sk-*
%attr(755,root,root) %{_bindir}/scrollkeeper-*
%dir %{_datadir}/omf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librarian.so
%{_libdir}/librarian.la
%{_includedir}/rarian
%{_pkgconfigdir}/rarian.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librarian.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rarian.spec,v $
Revision 1.11  2008/10/04 18:28:45  megabajt
- updated to 0.8.1

Revision 1.10  2008/03/13 17:41:58  megabajt
- updated to 0.8.0

Revision 1.9  2008-02-02 09:46:36  hawk
- updated to 0.7.1

Revision 1.8  2007-12-19 21:37:21  patrys
- 0.7.0

Revision 1.7  2007/09/13 08:28:32  patrys
- 0.6.0

Revision 1.6  2007/09/02 14:53:35  qboosh
- removed COPYING.LIB and COPYING.UTILS from doc (just LGPL and GPL resp.)

Revision 1.5  2007/09/02 14:51:01  qboosh
- pl, changed Groups
- package -static

Revision 1.4  2007/08/30 20:41:38  aflinta
- fixed scrollkeeper version to obsolete, release 2

Revision 1.3  2007/08/29 09:36:37  megabajt
- rarian-compat owns /usr/share/omf
- updated URL

Revision 1.2  2007/08/29 07:27:28  patrys
- fix

Revision 1.1  2007/08/29 06:20:15  patrys
- initial PLD release
